-- This file contains autogenerated erroneous printf strings, which th-printf
-- will warn about, but they shouldn't break a -Werror build
{-# OPTIONS_GHC -Wwarn #-}
{-# LANGUAGE QuasiQuotes #-}

module GeneratedSpec where

import Data.Int
import Data.Word
import Language.Haskell.Printf
import Test.HUnit
import Test.Hspec

spec :: Spec
spec = do
    it "test-case #1" $ [s|%.*f|] (2 :: Int32) (0.33333333 :: Double) @?= "0.33"
    it "test-case #2" $ [s|%.3s|] "foobar" @?= "foo"
    it "test-case #3" $ [s|%10.5d|] (4 :: Int32) @?= "     00004"
    it "test-case #4" $ [s|% d|] (42 :: Int32) @?= " 42"
    it "test-case #5" $ [s|% d|] (-42 :: Int32) @?= "-42"
    it "test-case #6" $ [s|% 5d|] (42 :: Int32) @?= "   42"
    it "test-case #7" $ [s|% 5d|] (-42 :: Int32) @?= "  -42"
    it "test-case #8" $ [s|% 15d|] (42 :: Int32) @?= "             42"
    it "test-case #9" $ [s|% 15d|] (-42 :: Int32) @?= "            -42"
    it "test-case #10" $ [s|%+d|] (42 :: Int32) @?= "+42"
    it "test-case #11" $ [s|%+d|] (-42 :: Int32) @?= "-42"
    it "test-case #12" $ [s|%+5d|] (42 :: Int32) @?= "  +42"
    it "test-case #13" $ [s|%+5d|] (-42 :: Int32) @?= "  -42"
    it "test-case #14" $ [s|%+15d|] (42 :: Int32) @?= "            +42"
    it "test-case #15" $ [s|%+15d|] (-42 :: Int32) @?= "            -42"
    it "test-case #16" $ [s|%0d|] (42 :: Int32) @?= "42"
    it "test-case #17" $ [s|%0d|] (-42 :: Int32) @?= "-42"
    it "test-case #18" $ [s|%05d|] (42 :: Int32) @?= "00042"
    it "test-case #19" $ [s|%05d|] (-42 :: Int32) @?= "-0042"
    it "test-case #20" $ [s|%015d|] (42 :: Int32) @?= "000000000000042"
    it "test-case #21" $ [s|%015d|] (-42 :: Int32) @?= "-00000000000042"
    it "test-case #22" $ [s|%-d|] (42 :: Int32) @?= "42"
    it "test-case #23" $ [s|%-d|] (-42 :: Int32) @?= "-42"
    it "test-case #24" $ [s|%-5d|] (42 :: Int32) @?= "42   "
    it "test-case #25" $ [s|%-5d|] (-42 :: Int32) @?= "-42  "
    it "test-case #26" $ [s|%-15d|] (42 :: Int32) @?= "42             "
    it "test-case #27" $ [s|%-15d|] (-42 :: Int32) @?= "-42            "
    it "test-case #28" $ [s|%-0d|] (42 :: Int32) @?= "42"
    it "test-case #29" $ [s|%-0d|] (-42 :: Int32) @?= "-42"
    it "test-case #30" $ [s|%-05d|] (42 :: Int32) @?= "42   "
    it "test-case #31" $ [s|%-05d|] (-42 :: Int32) @?= "-42  "
    it "test-case #32" $ [s|%-015d|] (42 :: Int32) @?= "42             "
    it "test-case #33" $ [s|%-015d|] (-42 :: Int32) @?= "-42            "
    it "test-case #34" $ [s|%0-d|] (42 :: Int32) @?= "42"
    it "test-case #35" $ [s|%0-d|] (-42 :: Int32) @?= "-42"
    it "test-case #36" $ [s|%0-5d|] (42 :: Int32) @?= "42   "
    it "test-case #37" $ [s|%0-5d|] (-42 :: Int32) @?= "-42  "
    it "test-case #38" $ [s|%0-15d|] (42 :: Int32) @?= "42             "
    it "test-case #39" $ [s|%0-15d|] (-42 :: Int32) @?= "-42            "
    it "test-case #43" $ [s|%.2f|] (42.8952 :: Double) @?= "42.90"
    it "test-case #44" $ [s|%.2F|] (42.8952 :: Double) @?= "42.90"
    it "test-case #45" $ [s|%.10f|] (42.8952 :: Double) @?= "42.8952000000"
    it "test-case #46" $ [s|%1.2f|] (42.8952 :: Double) @?= "42.90"
    it "test-case #47" $ [s|%6.2f|] (42.8952 :: Double) @?= " 42.90"
    it "test-case #49" $ [s|%+6.2f|] (42.8952 :: Double) @?= "+42.90"
    it "test-case #50" $ [s|%5.10f|] (42.8952 :: Double) @?= "42.8952000000"
  -- 51: anti-test
  -- 52: anti-test
  -- 53: excluded for Haskell
  -- 55: excluded for Haskell
  -- 56: excluded for Haskell
  -- 58: excluded for Haskell
  -- 59: excluded for Haskell
    it "test-case #60" $ [s|%*s|] (4 :: Int32) "foo" @?= " foo"
    it "test-case #61" $
        [s|%*.*f|] (10 :: Int32) (2 :: Int32) (3.14159265 :: Double) @?= "      3.14"
    it "test-case #63" $
        [s|%-*.*f|] (10 :: Int32) (2 :: Int32) (3.14159265 :: Double) @?= "3.14      "
  -- 64: anti-test
  -- 65: anti-test
    it "test-case #66" $ [s|+%s+|] "hello" @?= "+hello+"
    it "test-case #67" $ [s|+%d+|] (10 :: Int32) @?= "+10+"
    it "test-case #68" $ [s|%c|] 'a' @?= "a"
  -- unsound test: it "test-case #69" $ [s|%c|] (32 :: Int32) @?= " "
  -- unsound test: it "test-case #70" $ [s|%c|] (36 :: Int32) @?= "$"
    it "test-case #71" $ [s|%d|] (10 :: Int32) @?= "10"
  -- 72: anti-test
  -- 73: anti-test
  -- 74: excluded for Haskell
  -- 75: excluded for Haskell
    it "test-case #76" $
        [s|%+#22.15e|] (7.89456123e8 :: Double) @?= "+7.894561230000000e+08"
    it "test-case #77" $
        [s|%-#22.15e|] (7.89456123e8 :: Double) @?= "7.894561230000000e+08 "
    it "test-case #78" $
        [s|%#22.15e|] (7.89456123e8 :: Double) @?= " 7.894561230000000e+08"
    it "test-case #79" $ [s|%#1.1g|] (7.89456123e8 :: Double) @?= "8.e+08"
    it "test-case #81" $ [s|%+8lld|] (100 :: Int64) @?= "    +100"
    it "test-case #82" $ [s|%+.8lld|] (100 :: Int64) @?= "+00000100"
    it "test-case #83" $ [s|%+10.8lld|] (100 :: Int64) @?= " +00000100"
  -- 84: excluded for Haskell
    it "test-case #85" $ [s|%-1.5lld|] (-100 :: Int64) @?= "-00100"
    it "test-case #86" $ [s|%5lld|] (100 :: Int64) @?= "  100"
    it "test-case #87" $ [s|%5lld|] (-100 :: Int64) @?= " -100"
    it "test-case #88" $ [s|%-5lld|] (100 :: Int64) @?= "100  "
    it "test-case #89" $ [s|%-5lld|] (-100 :: Int64) @?= "-100 "
    it "test-case #90" $ [s|%-.5lld|] (100 :: Int64) @?= "00100"
    it "test-case #91" $ [s|%-.5lld|] (-100 :: Int64) @?= "-00100"
    it "test-case #92" $ [s|%-8.5lld|] (100 :: Int64) @?= "00100   "
    it "test-case #93" $ [s|%-8.5lld|] (-100 :: Int64) @?= "-00100  "
    it "test-case #94" $ [s|%05lld|] (100 :: Int64) @?= "00100"
    it "test-case #95" $ [s|%05lld|] (-100 :: Int64) @?= "-0100"
    it "test-case #96" $ [s|% lld|] (100 :: Int64) @?= " 100"
    it "test-case #97" $ [s|% lld|] (-100 :: Int64) @?= "-100"
    it "test-case #98" $ [s|% 5lld|] (100 :: Int64) @?= "  100"
    it "test-case #99" $ [s|% 5lld|] (-100 :: Int64) @?= " -100"
    it "test-case #100" $ [s|% .5lld|] (100 :: Int64) @?= " 00100"
    it "test-case #101" $ [s|% .5lld|] (-100 :: Int64) @?= "-00100"
    it "test-case #102" $ [s|% 8.5lld|] (100 :: Int64) @?= "   00100"
    it "test-case #103" $ [s|% 8.5lld|] (-100 :: Int64) @?= "  -00100"
    it "test-case #104" $ [s|%.0lld|] (0 :: Int64) @?= ""
    it "test-case #105" $ [s|%#+21.18llx|] (-100 :: Int64) @?= " 0x00ffffffffffffff9c"
    it "test-case #106" $ [s|%#.25llo|] (-100 :: Int64) @?= "0001777777777777777777634"
    it "test-case #107" $ [s|%#+24.20llo|] (-100 :: Int64) @?= " 01777777777777777777634"
    it "test-case #108" $ [s|%#+18.21llX|] (-100 :: Int64) @?= "0X00000FFFFFFFFFFFFFF9C"
    it "test-case #109" $ [s|%#+20.24llo|] (-100 :: Int64) @?= "001777777777777777777634"
    it "test-case #110" $ [s|%#+25.22llu|] (-1 :: Int64) @?= "   0018446744073709551615"
    it "test-case #111" $ [s|%#+25.22llu|] (-1 :: Int64) @?= "   0018446744073709551615"
    it "test-case #112" $
        [s|%#+30.25llu|] (-1 :: Int64) @?= "     0000018446744073709551615"
    it "test-case #113" $ [s|%+#25.22lld|] (-1 :: Int64) @?= "  -0000000000000000000001"
    it "test-case #114" $ [s|%#-8.5llo|] (100 :: Int64) @?= "00144   "
    it "test-case #115" $ [s|%#-+ 08.5lld|] (100 :: Int64) @?= "+00100  "
    it "test-case #116" $ [s|%#-+ 08.5lld|] (100 :: Int64) @?= "+00100  "
    it "test-case #117" $
        [s|%.40lld|] (1 :: Int64) @?= "0000000000000000000000000000000000000001"
    it "test-case #118" $
        [s|% .40lld|] (1 :: Int64) @?= " 0000000000000000000000000000000000000001"
    it "test-case #119" $
        [s|% .40d|] (1 :: Int32) @?= " 0000000000000000000000000000000000000001"
  -- 121: excluded for Haskell
  -- 124: excluded for Haskell
    it "test-case #125" $ [s|% d|] (1 :: Int32) @?= " 1"
    it "test-case #126" $ [s|%+ d|] (1 :: Int32) @?= "+1"
    it "test-case #129" $ [s|%#012x|] (1 :: Int32) @?= "0x0000000001"
    it "test-case #130" $ [s|%#04.8x|] (1 :: Int32) @?= "0x00000001"
    it "test-case #131" $ [s|%#-08.2x|] (1 :: Int32) @?= "0x01    "
    it "test-case #132" $ [s|%#08o|] (1 :: Int32) @?= "00000001"
  -- 133: excluded for Haskell
  -- 137: excluded for Haskell
    it "test-case #142" $ [s|%.1s|] "foo" @?= "f"
    it "test-case #143" $ [s|%.*s|] (1 :: Int32) "foo" @?= "f"
    it "test-case #144" $ [s|%*s|] (-5 :: Int32) "foo" @?= "foo  "
    it "test-case #145" $ [s|hello|] @?= "hello"
  -- 147: excluded for Haskell
    it "test-case #148" $ [s|%3c|] 'a' @?= "  a"
    it "test-case #149" $ [s|%3d|] (1234 :: Int32) @?= "1234"
  -- 150: excluded for Haskell
    it "test-case #152" $ [s|%-1d|] (2 :: Int32) @?= "2"
    it "test-case #153" $ [s|%2.4f|] (8.6 :: Double) @?= "8.6000"
    it "test-case #154" $ [s|%0f|] (0.6 :: Double) @?= "0.600000"
    it "test-case #155" $ [s|%.0f|] (0.6 :: Double) @?= "1"
    it "test-case #156" $ [s|%2.4e|] (8.6 :: Double) @?= "8.6000e+00"
    it "test-case #157" $ [s|% 2.4e|] (8.6 :: Double) @?= " 8.6000e+00"
    it "test-case #159" $ [s|% 2.4e|] (-8.6 :: Double) @?= "-8.6000e+00"
    it "test-case #160" $ [s|%+2.4e|] (8.6 :: Double) @?= "+8.6000e+00"
    it "test-case #161" $ [s|%2.4g|] (8.6 :: Double) @?= "8.6"
    it "test-case #162" $ [s|%-i|] (-1 :: Int32) @?= "-1"
    it "test-case #163" $ [s|%-i|] (1 :: Int32) @?= "1"
    it "test-case #164" $ [s|%+i|] (1 :: Int32) @?= "+1"
    it "test-case #165" $ [s|%o|] (10 :: Int32) @?= "12"
  -- 166: excluded for Haskell
  -- 167: excluded for Haskell
    it "test-case #169" $ [s|%s|] "%%%%" @?= "%%%%"
    it "test-case #170" $ [s|%u|] (-1 :: Int32) @?= "4294967295"
  -- 171: excluded for Haskell
  -- 172: excluded for Haskell
  -- 173: excluded for Haskell
  -- 174: excluded for Haskell
  -- 176: excluded for Haskell
    it "test-case #177" $ [s|%%0|] @?= "%0"
  -- 178: excluded for Haskell
  -- unsound test: it "test-case #179" $ [s|%hhx|] 'a' @?= "61"
    it "test-case #181" $ [s|Hallo heimur|] @?= "Hallo heimur"
    it "test-case #182" $ [s|%s|] "Hallo heimur" @?= "Hallo heimur"
    it "test-case #183" $ [s|%d|] (1024 :: Int32) @?= "1024"
    it "test-case #184" $ [s|%d|] (-1024 :: Int32) @?= "-1024"
    it "test-case #185" $ [s|%i|] (1024 :: Int32) @?= "1024"
    it "test-case #186" $ [s|%i|] (-1024 :: Int32) @?= "-1024"
    it "test-case #187" $ [s|%u|] (1024 :: Int32) @?= "1024"
    it "test-case #188" $ [s|%u|] (4294966272 :: Word32) @?= "4294966272"
    it "test-case #189" $ [s|%o|] (511 :: Int32) @?= "777"
    it "test-case #190" $ [s|%o|] (4294966785 :: Word32) @?= "37777777001"
    it "test-case #191" $ [s|%x|] (305441741 :: Int32) @?= "1234abcd"
    it "test-case #192" $ [s|%x|] (3989525555 :: Word32) @?= "edcb5433"
    it "test-case #193" $ [s|%X|] (305441741 :: Int32) @?= "1234ABCD"
    it "test-case #194" $ [s|%X|] (3989525555 :: Word32) @?= "EDCB5433"
    it "test-case #195" $ [s|%c|] 'x' @?= "x"
    it "test-case #196" $ [s|%%|] @?= "%"
    it "test-case #197" $ [s|%+s|] "Hallo heimur" @?= "Hallo heimur"
    it "test-case #198" $ [s|%+d|] (1024 :: Int32) @?= "+1024"
    it "test-case #199" $ [s|%+d|] (-1024 :: Int32) @?= "-1024"
    it "test-case #200" $ [s|%+i|] (1024 :: Int32) @?= "+1024"
    it "test-case #201" $ [s|%+i|] (-1024 :: Int32) @?= "-1024"
    it "test-case #202" $ [s|%+u|] (1024 :: Int32) @?= "1024"
    it "test-case #203" $ [s|%+u|] (4294966272 :: Word32) @?= "4294966272"
    it "test-case #204" $ [s|%+o|] (511 :: Int32) @?= "777"
    it "test-case #205" $ [s|%+o|] (4294966785 :: Word32) @?= "37777777001"
    it "test-case #206" $ [s|%+x|] (305441741 :: Int32) @?= "1234abcd"
    it "test-case #207" $ [s|%+x|] (3989525555 :: Word32) @?= "edcb5433"
    it "test-case #208" $ [s|%+X|] (305441741 :: Int32) @?= "1234ABCD"
    it "test-case #209" $ [s|%+X|] (3989525555 :: Word32) @?= "EDCB5433"
    it "test-case #210" $ [s|%+c|] 'x' @?= "x"
    it "test-case #211" $ [s|% s|] "Hallo heimur" @?= "Hallo heimur"
    it "test-case #212" $ [s|% d|] (1024 :: Int32) @?= " 1024"
    it "test-case #213" $ [s|% d|] (-1024 :: Int32) @?= "-1024"
    it "test-case #214" $ [s|% i|] (1024 :: Int32) @?= " 1024"
    it "test-case #215" $ [s|% i|] (-1024 :: Int32) @?= "-1024"
    it "test-case #216" $ [s|% u|] (1024 :: Int32) @?= "1024"
    it "test-case #217" $ [s|% u|] (4294966272 :: Word32) @?= "4294966272"
    it "test-case #218" $ [s|% o|] (511 :: Int32) @?= "777"
    it "test-case #219" $ [s|% o|] (4294966785 :: Word32) @?= "37777777001"
    it "test-case #220" $ [s|% x|] (305441741 :: Int32) @?= "1234abcd"
    it "test-case #221" $ [s|% x|] (3989525555 :: Word32) @?= "edcb5433"
    it "test-case #222" $ [s|% X|] (305441741 :: Int32) @?= "1234ABCD"
    it "test-case #223" $ [s|% X|] (3989525555 :: Word32) @?= "EDCB5433"
    it "test-case #224" $ [s|% c|] 'x' @?= "x"
    it "test-case #225" $ [s|%+ s|] "Hallo heimur" @?= "Hallo heimur"
    it "test-case #226" $ [s|%+ d|] (1024 :: Int32) @?= "+1024"
    it "test-case #227" $ [s|%+ d|] (-1024 :: Int32) @?= "-1024"
    it "test-case #228" $ [s|%+ i|] (1024 :: Int32) @?= "+1024"
    it "test-case #229" $ [s|%+ i|] (-1024 :: Int32) @?= "-1024"
    it "test-case #230" $ [s|%+ u|] (1024 :: Int32) @?= "1024"
    it "test-case #231" $ [s|%+ u|] (4294966272 :: Word32) @?= "4294966272"
    it "test-case #232" $ [s|%+ o|] (511 :: Int32) @?= "777"
    it "test-case #233" $ [s|%+ o|] (4294966785 :: Word32) @?= "37777777001"
    it "test-case #234" $ [s|%+ x|] (305441741 :: Int32) @?= "1234abcd"
    it "test-case #235" $ [s|%+ x|] (3989525555 :: Word32) @?= "edcb5433"
    it "test-case #236" $ [s|%+ X|] (305441741 :: Int32) @?= "1234ABCD"
    it "test-case #237" $ [s|%+ X|] (3989525555 :: Word32) @?= "EDCB5433"
    it "test-case #238" $ [s|%+ c|] 'x' @?= "x"
    it "test-case #239" $ [s|%#o|] (511 :: Int32) @?= "0777"
    it "test-case #240" $ [s|%#o|] (4294966785 :: Word32) @?= "037777777001"
    it "test-case #241" $ [s|%#x|] (305441741 :: Int32) @?= "0x1234abcd"
    it "test-case #242" $ [s|%#x|] (3989525555 :: Word32) @?= "0xedcb5433"
    it "test-case #243" $ [s|%#X|] (305441741 :: Int32) @?= "0X1234ABCD"
    it "test-case #244" $ [s|%#X|] (3989525555 :: Word32) @?= "0XEDCB5433"
    it "test-case #245" $ [s|%#o|] (0 :: Word32) @?= "0"
    it "test-case #246" $ [s|%#x|] (0 :: Word32) @?= "0"
    it "test-case #247" $ [s|%#X|] (0 :: Word32) @?= "0"
    it "test-case #248" $ [s|%1s|] "Hallo heimur" @?= "Hallo heimur"
    it "test-case #249" $ [s|%1d|] (1024 :: Int32) @?= "1024"
    it "test-case #250" $ [s|%1d|] (-1024 :: Int32) @?= "-1024"
    it "test-case #251" $ [s|%1i|] (1024 :: Int32) @?= "1024"
    it "test-case #252" $ [s|%1i|] (-1024 :: Int32) @?= "-1024"
    it "test-case #253" $ [s|%1u|] (1024 :: Int32) @?= "1024"
    it "test-case #254" $ [s|%1u|] (4294966272 :: Word32) @?= "4294966272"
    it "test-case #255" $ [s|%1o|] (511 :: Int32) @?= "777"
    it "test-case #256" $ [s|%1o|] (4294966785 :: Word32) @?= "37777777001"
    it "test-case #257" $ [s|%1x|] (305441741 :: Int32) @?= "1234abcd"
    it "test-case #258" $ [s|%1x|] (3989525555 :: Word32) @?= "edcb5433"
    it "test-case #259" $ [s|%1X|] (305441741 :: Int32) @?= "1234ABCD"
    it "test-case #260" $ [s|%1X|] (3989525555 :: Word32) @?= "EDCB5433"
    it "test-case #261" $ [s|%1c|] 'x' @?= "x"
    it "test-case #262" $ [s|%20s|] "Hallo" @?= "               Hallo"
    it "test-case #263" $ [s|%20d|] (1024 :: Int32) @?= "                1024"
    it "test-case #264" $ [s|%20d|] (-1024 :: Int32) @?= "               -1024"
    it "test-case #265" $ [s|%20i|] (1024 :: Int32) @?= "                1024"
    it "test-case #266" $ [s|%20i|] (-1024 :: Int32) @?= "               -1024"
    it "test-case #267" $ [s|%20u|] (1024 :: Int32) @?= "                1024"
    it "test-case #268" $ [s|%20u|] (4294966272 :: Word32) @?= "          4294966272"
    it "test-case #269" $ [s|%20o|] (511 :: Int32) @?= "                 777"
    it "test-case #270" $ [s|%20o|] (4294966785 :: Word32) @?= "         37777777001"
    it "test-case #271" $ [s|%20x|] (305441741 :: Int32) @?= "            1234abcd"
    it "test-case #272" $ [s|%20x|] (3989525555 :: Word32) @?= "            edcb5433"
    it "test-case #273" $ [s|%20X|] (305441741 :: Int32) @?= "            1234ABCD"
    it "test-case #274" $ [s|%20X|] (3989525555 :: Word32) @?= "            EDCB5433"
    it "test-case #275" $ [s|%20c|] 'x' @?= "                   x"
    it "test-case #276" $ [s|%-20s|] "Hallo" @?= "Hallo               "
    it "test-case #277" $ [s|%-20d|] (1024 :: Int32) @?= "1024                "
    it "test-case #278" $ [s|%-20d|] (-1024 :: Int32) @?= "-1024               "
    it "test-case #279" $ [s|%-20i|] (1024 :: Int32) @?= "1024                "
    it "test-case #280" $ [s|%-20i|] (-1024 :: Int32) @?= "-1024               "
    it "test-case #281" $ [s|%-20u|] (1024 :: Int32) @?= "1024                "
    it "test-case #282" $ [s|%-20u|] (4294966272 :: Word32) @?= "4294966272          "
    it "test-case #283" $ [s|%-20o|] (511 :: Int32) @?= "777                 "
    it "test-case #284" $ [s|%-20o|] (4294966785 :: Word32) @?= "37777777001         "
    it "test-case #285" $ [s|%-20x|] (305441741 :: Int32) @?= "1234abcd            "
    it "test-case #286" $ [s|%-20x|] (3989525555 :: Word32) @?= "edcb5433            "
    it "test-case #287" $ [s|%-20X|] (305441741 :: Int32) @?= "1234ABCD            "
    it "test-case #288" $ [s|%-20X|] (3989525555 :: Word32) @?= "EDCB5433            "
    it "test-case #289" $ [s|%-20c|] 'x' @?= "x                   "
    it "test-case #290" $ [s|%020d|] (1024 :: Int32) @?= "00000000000000001024"
    it "test-case #291" $ [s|%020d|] (-1024 :: Int32) @?= "-0000000000000001024"
    it "test-case #292" $ [s|%020i|] (1024 :: Int32) @?= "00000000000000001024"
    it "test-case #293" $ [s|%020i|] (-1024 :: Int32) @?= "-0000000000000001024"
    it "test-case #294" $ [s|%020u|] (1024 :: Int32) @?= "00000000000000001024"
    it "test-case #295" $ [s|%020u|] (4294966272 :: Word32) @?= "00000000004294966272"
    it "test-case #296" $ [s|%020o|] (511 :: Int32) @?= "00000000000000000777"
    it "test-case #297" $ [s|%020o|] (4294966785 :: Word32) @?= "00000000037777777001"
    it "test-case #298" $ [s|%020x|] (305441741 :: Int32) @?= "0000000000001234abcd"
    it "test-case #299" $ [s|%020x|] (3989525555 :: Word32) @?= "000000000000edcb5433"
    it "test-case #300" $ [s|%020X|] (305441741 :: Int32) @?= "0000000000001234ABCD"
    it "test-case #301" $ [s|%020X|] (3989525555 :: Word32) @?= "000000000000EDCB5433"
    it "test-case #302" $ [s|%#20o|] (511 :: Int32) @?= "                0777"
    it "test-case #303" $ [s|%#20o|] (4294966785 :: Word32) @?= "        037777777001"
    it "test-case #304" $ [s|%#20x|] (305441741 :: Int32) @?= "          0x1234abcd"
    it "test-case #305" $ [s|%#20x|] (3989525555 :: Word32) @?= "          0xedcb5433"
    it "test-case #306" $ [s|%#20X|] (305441741 :: Int32) @?= "          0X1234ABCD"
    it "test-case #307" $ [s|%#20X|] (3989525555 :: Word32) @?= "          0XEDCB5433"
    it "test-case #308" $ [s|%#020o|] (511 :: Int32) @?= "00000000000000000777"
    it "test-case #309" $ [s|%#020o|] (4294966785 :: Word32) @?= "00000000037777777001"
    it "test-case #310" $ [s|%#020x|] (305441741 :: Int32) @?= "0x00000000001234abcd"
    it "test-case #311" $ [s|%#020x|] (3989525555 :: Word32) @?= "0x0000000000edcb5433"
    it "test-case #312" $ [s|%#020X|] (305441741 :: Int32) @?= "0X00000000001234ABCD"
    it "test-case #313" $ [s|%#020X|] (3989525555 :: Word32) @?= "0X0000000000EDCB5433"
    it "test-case #314" $ [s|%0-20s|] "Hallo" @?= "Hallo               "
    it "test-case #315" $ [s|%0-20d|] (1024 :: Int32) @?= "1024                "
    it "test-case #316" $ [s|%0-20d|] (-1024 :: Int32) @?= "-1024               "
    it "test-case #317" $ [s|%0-20i|] (1024 :: Int32) @?= "1024                "
    it "test-case #318" $ [s|%0-20i|] (-1024 :: Int32) @?= "-1024               "
    it "test-case #319" $ [s|%0-20u|] (1024 :: Int32) @?= "1024                "
    it "test-case #320" $ [s|%0-20u|] (4294966272 :: Word32) @?= "4294966272          "
    it "test-case #321" $ [s|%-020o|] (511 :: Int32) @?= "777                 "
    it "test-case #322" $ [s|%-020o|] (4294966785 :: Word32) @?= "37777777001         "
    it "test-case #323" $ [s|%-020x|] (305441741 :: Int32) @?= "1234abcd            "
    it "test-case #324" $ [s|%-020x|] (3989525555 :: Word32) @?= "edcb5433            "
    it "test-case #325" $ [s|%-020X|] (305441741 :: Int32) @?= "1234ABCD            "
    it "test-case #326" $ [s|%-020X|] (3989525555 :: Word32) @?= "EDCB5433            "
    it "test-case #327" $ [s|%-020c|] 'x' @?= "x                   "
    it "test-case #328" $ [s|%*s|] (20 :: Int32) "Hallo" @?= "               Hallo"
    it "test-case #329" $
        [s|%*d|] (20 :: Int32) (1024 :: Int32) @?= "                1024"
    it "test-case #330" $
        [s|%*d|] (20 :: Int32) (-1024 :: Int32) @?= "               -1024"
    it "test-case #331" $
        [s|%*i|] (20 :: Int32) (1024 :: Int32) @?= "                1024"
    it "test-case #332" $
        [s|%*i|] (20 :: Int32) (-1024 :: Int32) @?= "               -1024"
    it "test-case #333" $
        [s|%*u|] (20 :: Int32) (1024 :: Int32) @?= "                1024"
    it "test-case #334" $
        [s|%*u|] (20 :: Int32) (4294966272 :: Word32) @?= "          4294966272"
    it "test-case #335" $ [s|%*o|] (20 :: Int32) (511 :: Int32) @?= "                 777"
    it "test-case #336" $
        [s|%*o|] (20 :: Int32) (4294966785 :: Word32) @?= "         37777777001"
    it "test-case #337" $
        [s|%*x|] (20 :: Int32) (305441741 :: Int32) @?= "            1234abcd"
    it "test-case #338" $
        [s|%*x|] (20 :: Int32) (3989525555 :: Word32) @?= "            edcb5433"
    it "test-case #339" $
        [s|%*X|] (20 :: Int32) (305441741 :: Int32) @?= "            1234ABCD"
    it "test-case #340" $
        [s|%*X|] (20 :: Int32) (3989525555 :: Word32) @?= "            EDCB5433"
    it "test-case #341" $ [s|%*c|] (20 :: Int32) 'x' @?= "                   x"
    it "test-case #342" $ [s|%.20s|] "Hallo heimur" @?= "Hallo heimur"
    it "test-case #343" $ [s|%.20d|] (1024 :: Int32) @?= "00000000000000001024"
    it "test-case #344" $ [s|%.20d|] (-1024 :: Int32) @?= "-00000000000000001024"
    it "test-case #345" $ [s|%.20i|] (1024 :: Int32) @?= "00000000000000001024"
    it "test-case #346" $ [s|%.20i|] (-1024 :: Int32) @?= "-00000000000000001024"
    it "test-case #347" $ [s|%.20u|] (1024 :: Int32) @?= "00000000000000001024"
    it "test-case #348" $ [s|%.20u|] (4294966272 :: Word32) @?= "00000000004294966272"
    it "test-case #349" $ [s|%.20o|] (511 :: Int32) @?= "00000000000000000777"
    it "test-case #350" $ [s|%.20o|] (4294966785 :: Word32) @?= "00000000037777777001"
    it "test-case #351" $ [s|%.20x|] (305441741 :: Int32) @?= "0000000000001234abcd"
    it "test-case #352" $ [s|%.20x|] (3989525555 :: Word32) @?= "000000000000edcb5433"
    it "test-case #353" $ [s|%.20X|] (305441741 :: Int32) @?= "0000000000001234ABCD"
    it "test-case #354" $ [s|%.20X|] (3989525555 :: Word32) @?= "000000000000EDCB5433"
    it "test-case #355" $ [s|%20.5s|] "Hallo heimur" @?= "               Hallo"
    it "test-case #356" $ [s|%20.5d|] (1024 :: Int32) @?= "               01024"
    it "test-case #357" $ [s|%20.5d|] (-1024 :: Int32) @?= "              -01024"
    it "test-case #358" $ [s|%20.5i|] (1024 :: Int32) @?= "               01024"
    it "test-case #359" $ [s|%20.5i|] (-1024 :: Int32) @?= "              -01024"
    it "test-case #360" $ [s|%20.5u|] (1024 :: Int32) @?= "               01024"
    it "test-case #361" $ [s|%20.5u|] (4294966272 :: Word32) @?= "          4294966272"
    it "test-case #362" $ [s|%20.5o|] (511 :: Int32) @?= "               00777"
    it "test-case #363" $ [s|%20.5o|] (4294966785 :: Word32) @?= "         37777777001"
    it "test-case #364" $ [s|%20.5x|] (305441741 :: Int32) @?= "            1234abcd"
    it "test-case #365" $ [s|%20.10x|] (3989525555 :: Word32) @?= "          00edcb5433"
    it "test-case #366" $ [s|%20.5X|] (305441741 :: Int32) @?= "            1234ABCD"
    it "test-case #367" $ [s|%20.10X|] (3989525555 :: Word32) @?= "          00EDCB5433"
    it "test-case #369" $ [s|%020.5d|] (1024 :: Int32) @?= "               01024"
    it "test-case #370" $ [s|%020.5d|] (-1024 :: Int32) @?= "              -01024"
    it "test-case #371" $ [s|%020.5i|] (1024 :: Int32) @?= "               01024"
    it "test-case #372" $ [s|%020.5i|] (-1024 :: Int32) @?= "              -01024"
    it "test-case #373" $ [s|%020.5u|] (1024 :: Int32) @?= "               01024"
    it "test-case #374" $ [s|%020.5u|] (4294966272 :: Word32) @?= "          4294966272"
    it "test-case #375" $ [s|%020.5o|] (511 :: Int32) @?= "               00777"
    it "test-case #376" $ [s|%020.5o|] (4294966785 :: Word32) @?= "         37777777001"
    it "test-case #377" $ [s|%020.5x|] (305441741 :: Int32) @?= "            1234abcd"
    it "test-case #378" $ [s|%020.10x|] (3989525555 :: Word32) @?= "          00edcb5433"
    it "test-case #379" $ [s|%020.5X|] (305441741 :: Int32) @?= "            1234ABCD"
    it "test-case #380" $ [s|%020.10X|] (3989525555 :: Word32) @?= "          00EDCB5433"
    it "test-case #381" $ [s|%.0s|] "Hallo heimur" @?= ""
    it "test-case #382" $ [s|%20.0s|] "Hallo heimur" @?= "                    "
    it "test-case #383" $ [s|%.s|] "Hallo heimur" @?= ""
    it "test-case #384" $ [s|%20.s|] "Hallo heimur" @?= "                    "
    it "test-case #385" $ [s|%20.0d|] (1024 :: Int32) @?= "                1024"
    it "test-case #386" $ [s|%20.d|] (-1024 :: Int32) @?= "               -1024"
    it "test-case #387" $ [s|%20.d|] (0 :: Int32) @?= "                    "
    it "test-case #388" $ [s|%20.0i|] (1024 :: Int32) @?= "                1024"
    it "test-case #389" $ [s|%20.i|] (-1024 :: Int32) @?= "               -1024"
    it "test-case #390" $ [s|%20.i|] (0 :: Int32) @?= "                    "
    it "test-case #391" $ [s|%20.u|] (1024 :: Int32) @?= "                1024"
    it "test-case #392" $ [s|%20.0u|] (4294966272 :: Word32) @?= "          4294966272"
    it "test-case #393" $ [s|%20.u|] (0 :: Word32) @?= "                    "
    it "test-case #394" $ [s|%20.o|] (511 :: Int32) @?= "                 777"
    it "test-case #395" $ [s|%20.0o|] (4294966785 :: Word32) @?= "         37777777001"
    it "test-case #396" $ [s|%20.o|] (0 :: Word32) @?= "                    "
    it "test-case #397" $ [s|%20.x|] (305441741 :: Int32) @?= "            1234abcd"
    it "test-case #398" $ [s|%20.0x|] (3989525555 :: Word32) @?= "            edcb5433"
    it "test-case #399" $ [s|%20.x|] (0 :: Word32) @?= "                    "
    it "test-case #400" $ [s|%20.X|] (305441741 :: Int32) @?= "            1234ABCD"
    it "test-case #401" $ [s|%20.0X|] (3989525555 :: Word32) @?= "            EDCB5433"
    it "test-case #402" $ [s|%20.X|] (0 :: Word32) @?= "                    "
    it "test-case #403" $
        [s|% -0+*.*s|] (20 :: Int32) (5 :: Int32) "Hallo heimur" @?=
        "Hallo               "
    it "test-case #404" $
        [s|% -0+*.*d|] (20 :: Int32) (5 :: Int32) (1024 :: Int32) @?=
        "+01024              "
    it "test-case #405" $
        [s|% -0+*.*d|] (20 :: Int32) (5 :: Int32) (-1024 :: Int32) @?=
        "-01024              "
    it "test-case #406" $
        [s|% -0+*.*i|] (20 :: Int32) (5 :: Int32) (1024 :: Int32) @?=
        "+01024              "
    it "test-case #407" $
        [s|% 0-+*.*i|] (20 :: Int32) (5 :: Int32) (-1024 :: Int32) @?=
        "-01024              "
    it "test-case #408" $
        [s|% 0-+*.*u|] (20 :: Int32) (5 :: Int32) (1024 :: Int32) @?=
        "01024               "
    it "test-case #409" $
        [s|% 0-+*.*u|] (20 :: Int32) (5 :: Int32) (4294966272 :: Word32) @?=
        "4294966272          "
    it "test-case #410" $
        [s|%+ -0*.*o|] (20 :: Int32) (5 :: Int32) (511 :: Int32) @?=
        "00777               "
    it "test-case #411" $
        [s|%+ -0*.*o|] (20 :: Int32) (5 :: Int32) (4294966785 :: Word32) @?=
        "37777777001         "
    it "test-case #412" $
        [s|%+ -0*.*x|] (20 :: Int32) (5 :: Int32) (305441741 :: Int32) @?=
        "1234abcd            "
    it "test-case #413" $
        [s|%+ -0*.*x|] (20 :: Int32) (10 :: Int32) (3989525555 :: Word32) @?=
        "00edcb5433          "
    it "test-case #414" $
        [s|% -+0*.*X|] (20 :: Int32) (5 :: Int32) (305441741 :: Int32) @?=
        "1234ABCD            "
    it "test-case #415" $
        [s|% -+0*.*X|] (20 :: Int32) (10 :: Int32) (3989525555 :: Word32) @?=
        "00EDCB5433          "
    it "test-case #416" $ [s|%*sx|] (-3 :: Int32) "hi" @?= "hi x"
